summaryrefslogtreecommitdiff
path: root/build.sh
diff options
context:
space:
mode:
authorVictor "Nate" Graf <nategraf1@gmail.com>2018-01-02 17:47:20 (GMT)
committerGitHub <noreply@github.com>2018-01-02 17:47:20 (GMT)
commitc1bbdae7964b19b7063074d36e6af960f0cdc3a0 (patch)
treee554fc74fbb22c6ce9dd488fb02ba4f08ee89e89 /build.sh
parent35bba0c5b29e9dfd2744b09e577f6111ef7de9d7 (diff)
downloadcoreclr-c1bbdae7964b19b7063074d36e6af960f0cdc3a0.zip
coreclr-c1bbdae7964b19b7063074d36e6af960f0cdc3a0.tar.gz
coreclr-c1bbdae7964b19b7063074d36e6af960f0cdc3a0.tar.bz2
Retry: Enable EventPipe across Unix and Windows (#15611)
* Revert "Revert "Enable EventPipe across Unix and Windows (#14772)" (#15609)" This reverts commit 302005ca8ae14eade37ddf4ac6e900617c1c166a. * Fix ARM build break * Use more explicit references to resolve build failures * Fix compat with python3 * Disable FeaturePerfTracing on Windows as it is not ready * Disable test for incomplete functionality * Fix test diabled patterns * Add license header * Use keyword types for managed code * Add message prefix * More precisly condition generation of eventing sources * Remove erroneously added changes
Diffstat (limited to 'build.sh')
-rwxr-xr-xbuild.sh67
1 files changed, 16 insertions, 51 deletions
diff --git a/build.sh b/build.sh
index 415736a..f10d5b8 100755
--- a/build.sh
+++ b/build.sh
@@ -194,28 +194,9 @@ generate_event_logging_sources()
fi
# Event Logging Infrastructure
- __GeneratedIntermediate="$__IntermediatesDir/Generated"
- __GeneratedIntermediateEventProvider="$__GeneratedIntermediate/eventprovider_new"
- __GeneratedIntermediateEventPipe="$__GeneratedIntermediate/eventpipe_new"
-
- if [[ -d "$__GeneratedIntermediateEventProvider" ]]; then
- rm -rf "$__GeneratedIntermediateEventProvider"
- fi
-
- if [[ -d "$__GeneratedIntermediateEventPipe" ]]; then
- rm -rf "$__GeneratedIntermediateEventPipe"
- fi
-
- if [[ ! -d "$__GeneratedIntermediate/eventprovider" ]]; then
- mkdir -p "$__GeneratedIntermediate/eventprovider"
- fi
-
- if [[ ! -d "$__GeneratedIntermediate/eventpipe" ]]; then
- mkdir -p "$__GeneratedIntermediate/eventpipe"
- fi
-
- mkdir -p "$__GeneratedIntermediateEventProvider"
- mkdir -p "$__GeneratedIntermediateEventPipe"
+ __GeneratedIntermediate="$__IntermediatesDir/eventing"
+ __GeneratedIntermediateEventProvider="$__GeneratedIntermediate/eventprovider"
+ __GeneratedIntermediateEventPipe="$__GeneratedIntermediate/eventpipe"
__PythonWarningFlags="-Wall"
if [[ $__IgnoreWarnings == 0 ]]; then
@@ -225,54 +206,38 @@ generate_event_logging_sources()
if [[ $__SkipCoreCLR == 0 || $__ConfigureOnly == 1 ]]; then
echo "Laying out dynamically generated files consumed by the build system "
- echo "Laying out dynamically generated Event Logging Test files"
- $PYTHON -B $__PythonWarningFlags "$__ProjectRoot/src/scripts/genXplatEventing.py" --man "$__ProjectRoot/src/vm/ClrEtwAll.man" --exc "$__ProjectRoot/src/vm/ClrEtwAllMeta.lst" --testdir "$__GeneratedIntermediateEventProvider/tests"
+ echo "Laying out dynamically generated Event test files, etmdummy stub functions, and external linkages"
+ $PYTHON -B $__PythonWarningFlags "$__ProjectRoot/src/scripts/genEventing.py" --inc $__IntermediatesDir/src/inc --dummy $__IntermediatesDir/src/inc/etmdummy.h --man "$__ProjectRoot/src/vm/ClrEtwAll.man" --testdir "$__GeneratedIntermediateEventProvider/tests"
if [[ $? != 0 ]]; then
exit
fi
- case $__BuildOS in
- Linux|FreeBSD)
- echo "Laying out dynamically generated EventPipe Implementation"
- $PYTHON -B $__PythonWarningFlags "$__ProjectRoot/src/scripts/genEventPipe.py" --man "$__ProjectRoot/src/vm/ClrEtwAll.man" --intermediate "$__GeneratedIntermediateEventPipe" --exc "$__ProjectRoot/src/vm/ClrEtwAllMeta.lst"
- if [[ $? != 0 ]]; then
- exit
- fi
- ;;
- *)
- ;;
- esac
+ echo "Laying out dynamically generated EventPipe Implementation"
+ $PYTHON -B $__PythonWarningFlags "$__ProjectRoot/src/scripts/genEventPipe.py" --man "$__ProjectRoot/src/vm/ClrEtwAll.man" --intermediate "$__GeneratedIntermediateEventPipe"
#determine the logging system
case $__BuildOS in
Linux|FreeBSD)
echo "Laying out dynamically generated Event Logging Implementation of Lttng"
- $PYTHON -B $__PythonWarningFlags "$__ProjectRoot/src/scripts/genXplatLttng.py" --man "$__ProjectRoot/src/vm/ClrEtwAll.man" --intermediate "$__GeneratedIntermediateEventProvider"
+ $PYTHON -B $__PythonWarningFlags "$__ProjectRoot/src/scripts/genLttngProvider.py" --man "$__ProjectRoot/src/vm/ClrEtwAll.man" --intermediate "$__GeneratedIntermediateEventProvider"
if [[ $? != 0 ]]; then
exit
fi
;;
*)
+ echo "Laying out dummy event logging provider"
+ $PYTHON -B $__PythonWarningFlags "$__ProjectRoot/src/scripts/genDummyProvider.py" --man "$__ProjectRoot/src/vm/ClrEtwAll.man" --intermediate "$__GeneratedIntermediateEventProvider"
+ if [[ $? != 0 ]]; then
+ exit
+ fi
;;
esac
- fi
-
- echo "Cleaning the temp folder of dynamically generated Event Logging files"
- $PYTHON -B $__PythonWarningFlags -c "import sys;sys.path.insert(0,\"$__ProjectRoot/src/scripts\"); from Utilities import *;UpdateDirectory(\"$__GeneratedIntermediate/eventprovider\",\"$__GeneratedIntermediateEventProvider\")"
- if [[ $? != 0 ]]; then
- exit
- fi
- rm -rf "$__GeneratedIntermediateEventProvider"
-
- echo "Cleaning the temp folder of dynamically generated EventPipe files"
- $PYTHON -B $__PythonWarningFlags -c "import sys;sys.path.insert(0,\"$__ProjectRoot/src/scripts\"); from Utilities import *;UpdateDirectory(\"$__GeneratedIntermediate/eventpipe\",\"$__GeneratedIntermediateEventPipe\")"
- if [[ $? != 0 ]]; then
- exit
+ if [[ $__CrossBuild == 1 ]]; then
+ cp -r $__GeneratedIntermediate $__CrossCompIntermediatesDir
+ fi
fi
-
- rm -rf "$__GeneratedIntermediateEventPipe"
}
build_native()